Bug 426777 - rt73usb fails within minutes of connecting
rt73usb fails within minutes of connecting
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-26 02:13 EST by Stuart D Gathman
Modified: 2009-08-13 08:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-13 08:59:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stuart D Gathman 2007-12-26 02:13:05 EST
Description of problem:
Although able to detect device insertion and even connect to WAP with WEP or
WPA, after 30 to 60 seconds of operation it quits with USB errors.

Version-Release number of selected component (if applicable):

kernel-2.6.23.9-85.fc8 (fails on 63 also)

How reproducible:
always

Steps to Reproduce:
1. insert rt73 based USB wireless
2. connect to Wifi
3. Watch /var/log/messages for failure in less than a minute (or see ping stop)
  
Actual results:
Dec 26 00:26:18 julie kernel: usb 1-3: USB disconnect, address 3
Dec 26 00:26:18 julie kernel: phy1 -> rt2x00usb_vendor_request: Error - Vendor
Request 0x07 failed for offset 0x3040 with error -19.
... repeated for various offsets

Expected results:
Continued operation

Additional info:
The legacy driver (rt73 from serialmonkey) works reliably, so it is not a
hardware problem.
Comment 1 Bug Zapper 2008-11-26 04:10:17 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Stuart D Gathman 2008-12-09 19:19:07 EST
I tried this USB key with F9 kernel-2.6.27.5-41.fc9.i686, and it now works.  I am updating this issue with the key.  I would mark it resolved for F9 onwards (unless it gets broken again).  I am very pleased that another USB chipset is working well under Fedora.

I did test earlier under F9, so I'm not sure when it got fixed - or I would fill in the "fixed in version" field.
Comment 3 Stuart D Gathman 2008-12-09 22:47:23 EST
Interesting, I moved the USB key to another port, and it fails again.  I suppose it could be a USB hardware problem, but I had the same problem on a F9 laptop.  

The failing port:

Dec  9 22:15:07 melissa dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 3Dec  9 22:14:52 melissa kernel: usb 1-3: new high speed USB device using ehci_hcd and address 3
Dec  9 22:14:52 melissa kernel: usb 1-3: configuration #1 chosen from 1 choice
Dec  9 22:14:52 melissa kernel: usb 1-3: New USB device found, idVendor=0b05, idProduct=1723
Dec  9 22:14:52 melissa kernel: usb 1-3: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Dec  9 22:14:52 melissa kernel: usb 1-3: Product: 802.11 bg WLAN
Dec  9 22:14:52 melissa kernel: usb 1-3: Manufacturer: Ralink
Dec  9 22:14:53 melissa kernel: Registered led device: rt73usb-phy0:radio
Dec  9 22:14:53 melissa kernel: Registered led device: rt73usb-phy0:assoc
Dec  9 22:14:53 melissa kernel: Registered led device: rt73usb-phy0:quality
Dec  9 22:14:53 melissa kernel: usbcore: registered new interface driver rt73usb
Dec  9 22:14:53 melissa NetworkManager: <info>  wlan0: driver is 'rt73usb'.
Dec  9 22:14:53 melissa NetworkManager: <info>  wlan0: driver supports SSID scans (scan_capa 0x01).
Dec  9 22:14:53 melissa NetworkManager: <info>  Found new 802.11 WiFi device 'wlan0'.
Dec  9 22:14:53 melissa NetworkManager: <info>  (wlan0): exported as /org/freedesktop/Hal/devices/net_00_1d_60_19_9d_e8
Dec  9 22:14:57 melissa NetworkManager: <info>  (wlan0): device state change: 1 -> 2
Dec  9 22:14:57 melissa NetworkManager: <info>  (wlan0): bringing up device.
Dec  9 22:14:57 melissa kernel: firmware: requesting rt73.bin
... works long enough to connect, then 
Dec  9 22:15:07 melissa kernel: usb 1-3: USB disconnect, address 3
Dec  9 22:15:07 melissa kernel: phy0 -> rt2x00usb_vendor_request: Error - Vendor Request 0x07 failed for offset 0x3040 with error -19.


The working port:
Dec  9 22:16:05 melissa kernel: usb 1-5: new high speed USB device using ehci_hcd and address 4
Dec  9 22:16:05 melissa kernel: usb 1-5: configuration #1 chosen from 1 choice
Dec  9 22:16:06 melissa kernel: Registered led device: rt73usb-phy1:radio
Dec  9 22:16:06 melissa kernel: Registered led device: rt73usb-phy1:assoc
Dec  9 22:16:06 melissa kernel: Registered led device: rt73usb-phy1:quality
Dec  9 22:16:06 melissa kernel: usb 1-5: New USB device found, idVendor=0b05, idProduct=1723
Dec  9 22:16:06 melissa kernel: usb 1-5: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Dec  9 22:16:06 melissa kernel: usb 1-5: Product: 802.11 bg WLAN
Dec  9 22:16:06 melissa kernel: usb 1-5: Manufacturer: Ralink
Dec  9 22:16:06 melissa NetworkManager: <info>  wlan0: driver is 'rt73usb'.
Dec  9 22:16:06 melissa NetworkManager: <info>  wlan0: driver supports SSID scans (scan_capa 0x01).
Dec  9 22:16:06 melissa NetworkManager: <info>  Found new 802.11 WiFi device 'wlan0'.
Dec  9 22:16:06 melissa NetworkManager: <info>  (wlan0): exported as /org/freedesktop/Hal/devices/net_00_1d_60_19_9d_e8_0
Dec  9 22:16:10 melissa NetworkManager: <info>  (wlan0): device state change: 1 -> 2
Dec  9 22:16:10 melissa NetworkManager: <info>  (wlan0): bringing up device.
Dec  9 22:16:10 melissa kernel: firmware: requesting rt73.bin
... and continues to work

I'll test again on another F9 system to see if it is a bad USB port, luck of the dice timing related software problem, or other.
Comment 4 Stuart D Gathman 2009-05-05 20:52:50 EDT
I have 3 laptops and a desktop running Fedora 10.  I have an rt73usb wireless USB dongle.  It works only on the 533Mhz Compaq Armada.  The rest all work for a few seconds then fail with "phy0 -> rt2x00usb_vendor_request: Error - Vendor Request 0x07 failed for offset 0x3040 with error -19."  At the instance that error occurs, the lights go out on the USB stick as if it was powered off.  

Even on the slowest system, it will occasionally fail (as in once every few weeks) - and refuse to work until I do a full power off.  Even on the faster systems, it will occasionally work (as in once every 100 or so tries - I keep trying just for kicks).  And once it gets connected the first time without the lights going out, it will continue to work until the system is powered off.

Sounds like a timing problem when initializing the device.
Comment 5 Stuart D Gathman 2009-05-05 20:54:29 EDT
Oh - the slow computer that it works on has USB 1.1 only, while the others are USB 2.0.  That may be a factor.  When I get an extra hub, I'll try seeing if it works through a hub.
Comment 6 Stuart D Gathman 2009-05-05 20:55:11 EDT
Looks like the same bug at 439685
Comment 7 John W. Linville 2009-05-06 08:32:16 EDT
Between your description and the source code that issues that "Vendor Request 0x07 failed" message, I would guess that your rt73usb device itself is marginal or just plain failing.  Comment 5 suggests that access speed might be a factor, which does not immediately rule-out failing hardware.
Comment 8 Ivo van Doorn 2009-05-06 10:09:43 EDT
Error indicates that the device has disappeared. Although this is not unheard of with a driver bug, I have never seen it occur as the first message.

When others reported it, there was a long list of Vendor Requests with all sorts of error codes before it finally disabled itself.

Have you checked lately if the legacy driver still works while it is hooked up to the same USB bus as the one where rt73usb is failing?
Comment 9 Stuart D Gathman 2009-07-10 01:16:02 EDT
I haven't checked since f8 - how do I try the legacy driver?
Comment 10 Stuart D Gathman 2009-08-12 21:45:16 EDT
Ok, the exact chipset that fails quickly on USB2 but not USB1 is not made anymore.  But I went out and bought as identical a unit as possible:

P:  Vendor=0b05 ProdID=1724 Rev= 0.01
S:  Manufacturer=Ralink
S:  Product=802.11 bg WLAN
C:* #Ifs= 1 Cfg#= 1 Atr=80 MxPwr=300mA
I:* If#= 0 Alt= 0 #EPs= 2 Cls=ff(vend.) Sub=ff Prot=ff Driver=rt73usb

Addlogix P/N: MA-WL-USB

and it works flawlessly where the other would fail.  (Using it now for several days now.)  So I think this can be chalked up to a hardware quirk.  (I can still use the old ralink dongle on old USB1.1 machines.)

Since anyone buying a new unit should not have this issue, I think it can be closed.
Comment 11 John W. Linville 2009-08-13 08:59:47 EDT
Closing on basis of comment 10...thanks!

Note You need to log in before you can comment on or make changes to this bug.